classification
Title: fileinput input's and Fileinput's bufsize=0 do not remit deprecationWarnings
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: mbussonn, xtreak
Priority: normal Keywords: patch

Created on 2018-05-17 21:45 by mbussonn, last changed 2019-05-21 15:07 by mbussonn. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6959 closed mbussonn, 2018-05-17 21:49
Messages (2)
msg316988 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2018-05-17 21:45
In Lib/fileinput.py, passing bufsize=0 does not raise any DeprecationWarning.

Also when using `input` the stacklevel could be better as it passes bufsize directly for FileInput.

in Lib/test/test_fileinput.py ; MockFileInput does not reflect the changes of FileInput. Presumably MockFielInput was made to make sure that `input` was passing the parameters as is and should be update accordingly.
msg343066 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2019-05-21 15:07
bufsize has now been removed.
History
Date User Action Args
2019-05-21 15:07:51mbussonnsetstatus: open -> closed
resolution: fixed
messages: + msg343066

stage: patch review -> resolved
2018-09-25 11:58:41xtreaksetnosy: + xtreak
2018-05-17 21:49:59mbussonnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6618
2018-05-17 21:45:21mbussonncreate